{ pkgs, ... }:
let
  common = import ../../common { inherit pkgs; };
in {
  services.minecraft-servers.servers.blockworld = {
    autoStart = false;
    package = pkgs.paperServers.paper-1_21_1;
    jvmOpts = "-Xmx3072M";
    serverProperties = common.serverProperties // {
      difficulty = 2;
      server-port = 30012;
      motd = "\\u00A7fArchival \\u00A7l\\u00A7n\\u00A7cBloxelcom \\u00A7r\\u00A7fMinecraft server.";
    };
    whitelist = common.whitelist;
    symlinks = common.paperSymlinks;
    files = common.configFiles;
  };
}
